Macro VisibleAlls

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro VisibleAlls and the translation is 100% complete.
Other languages:
English • ‎français • ‎italiano

Macro VisibleAlls.png Macro VisibleAlls

Description
Cette macro affiche tous les objets du document (Visibility True).

Version macro : 00.01
Date dernière modification : 2015-11-12
Version FreeCAD : Toutes versions
Téléchargement : ToolBar Icon
Auteur
Mario52
Téléchargement
ToolBar Icon
Liens
Version Macro
00.01
Dernière modification
2015-11-12
Version(s) FreeCAD
Toutes versions
Raccourci clavier
None
Voir aussi
Macro_Toggle_Visibility2
Macro_Toggle_Visibility
Macro Cache tous les Objets
Macro Si sélectionné reste si non efface


Description

Cette macro affiche tous les objets du document (Visibility True).

Script

ToolBar Icon Macro VisibleAlls.png

Macro_VisibleAlls.FCMacro

import FreeCAD
#Macro_VisibleAlls
__title__="Macro_DisplayAllObjects"
__author__ = "Mario52"
__url__     = "http://www.freecadweb.org/index-fr.html"
__version__ = "00.00"
__date__    = "11/11/2015"

try:
    for ShapeNameObj in FreeCAD.ActiveDocument.Objects:   # displyed alls objects
        #print ShapeNameObj.Name
        FreeCADGui.ActiveDocument.getObject(ShapeNameObj.Name).Visibility = True
except Exception:
    None